Bug 1277562 - stop-all-gluster-processes.sh doesn't return correct return status
stop-all-gluster-processes.sh doesn't return correct return status
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
3.1
Unspecified Unspecified
medium Severity unspecified
: ---
: RHGS 3.1.2
Assigned To: Ramesh N
Bhaskarakiran
: ZStream
Depends On: 1277533 1279776
Blocks: 1189285 1260783 1291173
  Show dependency treegraph
 
Reported: 2015-11-03 09:44 EST by Ramesh N
Modified: 2016-11-23 18:12 EST (History)
11 users (show)

See Also:
Fixed In Version: glusterfs-3.7.5-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1277533
Environment:
Last Closed: 2016-07-07 08:54:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramesh N 2015-11-03 09:44:27 EST
+++ This bug was initially created as a clone of Bug #1277533 +++

Description of problem:

stop-all-gluster-processes.sh doesn't return correct return status after successful completion.

How reproducible:

Always.

Steps to Reproduce:
1. run "stop-all-gluster-processes.sh" to kill all gluster process
2. # echo $?


Actual results:

 1

Expected results:

0

--- Additional comment from Vijay Bellur on 2015-11-03 09:12:20 EST ---

REVIEW: http://review.gluster.org/11739 (extras: Exit with SUCCESS if no processes to stop) posted (#7) for review on master by Ramesh N (rnachimu@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-03 09:38:44 EST ---

REVIEW: http://review.gluster.org/11739 (extras: Exit with SUCCESS if no processes to stop) posted (#8) for review on master by Ramesh N (rnachimu@redhat.com)
Comment 3 Bhaskarakiran 2015-11-25 06:39:46 EST
[root@ninja ~]# /usr/share/glusterfs/scripts/stop-all-gluster-processes.sh ; echo $?
sending SIGTERM to process 8948
sending SIGTERM to process 8904
sending SIGTERM to process 21469
sending SIGTERM to process 28853
0
[root@ninja ~]# 
[root@ninja ~]# gluster --version
glusterfs 3.7.5 built on Nov 24 2015 02:22:29
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@ninja ~]#

Note You need to log in before you can comment on or make changes to this bug.